//////////////////////////////////////////////////////////////////
/// Name: dotmatrixled.c
/// Author: B. Gian James
/// Description:  A few lines of code to demonstrate writing to 
///               the DLO7135 Smart Dot Matrix LED.

#include <avr/io.h>
#include <util/delay.h>
#include <stdio.h>

void Print2LED(uint8_t i);

int main(void)
{
	DDRD = 0xFF;	// Output
	DDRB = (1<<DDB0);
	
	char 	msg[] = "Welcome to my Instructable!";
	uint8_t	i;
	for (;;)
	{
		for(i=0;i<27; i++)
		{
			Print2LED(msg[i]);
			_delay_ms(150);
		}
	
		for(i=0x20; i<0x80; i++)
		{
			Print2LED(i);
			_delay_ms(150);
		}
		
	}

}

void
Print2LED(uint8_t i)
{
			PORTD = (i << 2);
			if (i & 0b01000000)
				PORTB = (1<<PINB0);
			else
				PORTB = (0<<PINB0);

}